{% extends "base.html" %} {% load staticfiles %}
{% block title %} 更新文章 {% endblock title %}
{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-12">
                <br>
                <form method="post" enctype="multipart/form-data" action=".">
                    {% csrf_token %}
                    <!-- 文章板块 -->
                    <div class="form-group">
                        <label for="column">板块</label>
                        <!-- 文章id和name需要修改！！！ -->
                        <select class="form-control col-3" id="column" name="column" required>
                            <option value="">{请选择板块}..</option>
                            <option value=1>生活</option>
                            <option value=2>学习</option>
                            <option value=3>交友</option>
                            <!-- 如果板块数目动态获取使用下面的内容 -->
                            <!--  {% for column in columns %}
                            <option value="{{ column.id }}">{{ column }}</option>
                        {% endfor %}-->
                            <!-- 动态显示问题原始板块-->
                            <script type="text/javascript">
                                var col = "{{ article.column }}";
                                var select = document.getElementById("column")
                                for (var i = 0; i < select.options.length; i++) {
                                    if (select.options[i].text == col) {
                                        select.options[i].selected = true;
                                        break;
                                    }
                                }
                            </script>
                        </select>
                    </div>
                    <!--<div class="form-group">
                    <label for="forum">标签信息</label>
                    <input type="text" class="form-control" id="forum" name="forum" value="{{article.forum}}">
                </div>-->
                    <div class="form-group">
                        <label for="title">文章标题</label>
                        <!-- 在 value 属性中指定文本框的初始值为旧的内容，即 article 对象中的 title 字段 -->
                        <input type="text" class="form-control" id="title" name="title" value="{{ article.title }}">
                    </div>
                    <div class="form-group">
                        <label for="body">文章正文</label>
                        <!-- 文本域不需要 value 属性，直接在标签体中嵌入数据即可 -->
                        <textarea type="text" class="form-control" id="body" name="body"
                                  rows="12">{{ article.body }}</textarea>
                    </div>
                    <!-- 上传文件 -->
                    <div class="form-group">
                        <label for="attachment">上传文件</label>
                        <!--          这里最好显示原来上传过的文件名字 这里给出了！错误！的方法 仅以借鉴 <input type="file" class="form-control-file" name="attachment" id="attachment"   value="{{ article.attachment }}">-->
                        <input type="file" class="form-control-file" name="attachment" id="attachment">
                    </div>
                    <button type="submit" class="btn btn-primary">提交文章</button>
                </form>
            </div>
        </div>
    </div>

    {% if messages %}
        <!--弹框形式-->
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
        <!--左下角弹框形式-->
        <!--<ul class="messages">-->
        <!--    {% for message in messages %}-->
            <!--    <li {% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ message }}</li>-->
            <!--    {% endfor %}-->
        <!--</ul>-->
    {% endif %}
{% endblock content %}